Skip to content

List countries

View as Markdown
get /api/countries

Retrieves the collection of Country resources.

Returns a paginated collection of countries in the current organization. Set Flowkiwi-Locale to read the translatable name in a given locale.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
order[createdAt]string-
order[updatedAt]string-
namestring-Filter on translated field (strategy: ipartial)
order[name]string-Order by translated field "name" (uses the Flowkiwi-Locale header)

Response

200 - Country collection

PropertyTypeRequiredDescription
totalItemsinteger-
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
templatestring-
variableRepresentationstring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
previousstring | null-
nextstring | null-
memberCountry[]required
Show member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
namestring | null-This property supports translations.

The country name.
codestringrequiredThe country ISO 3166-1 alpha-2 two-letter code. For more info, see the documentation
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.